<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateSNMPUserReq StructType
 * @subpackage Structs
 */
class UpdateSNMPUserReq extends APIRequest
{
    /**
     * The user
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var RSNMPUser
     */
    public $user;
    /**
     * Constructor method for UpdateSNMPUserReq
     * @uses UpdateSNMPUserReq::setUser()
     * @param RSNMPUser $user
     */
    public function __construct(RSNMPUser $user = null)
    {
        $this
            ->setUser($user);
    }
    /**
     * Get user value
     * @return RSNMPUser|null
     */
    public function getUser()
    {
        return $this->user;
    }
    /**
     * Set user value
     * @param RSNMPUser $user
     * @return UpdateSNMPUserReq
     */
    public function setUser(RSNMPUser $user = null)
    {
        $this->user = $user;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return UpdateSNMPUserReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
